﻿

Imports System.Threading

Public Class Form1

    Dim outputState As Byte = 0
    Dim IOSemaphore As New Semaphore(1, 2)

    Dim top16IIList As New ArrayList

   

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click


        ' Are there any Boards connected ?


        top16IIList = Top16II.top16ioII.getSerialNumbers()

        If (top16IIList.Count <= 0) Then
            Return
        End If

        IOSemaphore.WaitOne()

        ' There is more than one board connected, so open the first one

        Dim boardHandle = Top16II.top16ioII.OpenTOP16DIOBoard(top16IIList.Item(0))


        ' toggle output 1

        outputState = outputState Xor 1

        Top16II.top16ioII.SetOutputs(boardHandle, 1, outputState)

        Top16II.top16ioII.CloseTop16DIOBoard(boardHandle)

        IOSemaphore.Release()



    End Sub

    Private Sub TimerOneSecond_Tick(sender As Object, e As EventArgs) Handles TimerOneSecond.Tick



        If (top16IIList.Count <= 0) Then
            Return
        End If

        IOSemaphore.WaitOne()

        Dim boardHandle = Top16II.top16ioII.OpenTOP16DIOBoard(top16IIList.Item(0))

        Dim analogValue = Top16II.top16ioII.readAnalogInput(boardHandle, 1)

        Top16II.top16ioII.CloseTop16DIOBoard(boardHandle)

        LabelAnalog1.Text = "" + String.Format("{0:0.00}", analogValue)


        IOSemaphore.Release()



    End Sub
End Class
